AbstractGriffonViewScript (Griffon 0.9.5-rc2)
Date: 2012-03-09

Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.griffon.runtime.core
[Java] Class AbstractGriffonViewScript

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          groovy.lang.Script
              org.codehaus.griffon.runtime.core.AbstractGriffonArtifactScript
                  org.codehaus.griffon.runtime.core.AbstractGriffonMvcArtifactScript
                      org.codehaus.griffon.runtime.core.AbstractGriffonViewScript

All Implemented Interfaces:
  GriffonView

    public abstract class AbstractGriffonViewScript
    extends AbstractGriffonMvcArtifactScript

Base implementation of the GriffonView interface for Script based views

Authors:
  Andres Almiray

Since:
  0.9.1

Field Summary
`private FactoryBuilderSupport` | `builder`

Fields inherited from class AbstractGriffonArtifactScript
app, log, myMetaClass, resourceLocator

Constructor Summary
`AbstractGriffonViewScript()`

Method Summary
`FactoryBuilderSupport` | `getBuilder()`
`void` | `setBuilder(FactoryBuilderSupport builder)`

Methods inherited from class AbstractGriffonMvcArtifactScript
mvcGroupDestroy, mvcGroupInit

Methods inherited from class AbstractGriffonArtifactScript
buildMVCGroup, buildMVCGroup, buildMVCGroup, buildMVCGroup, buildMVCGroup, buildMVCGroup, createMVCGroup, createMVCGroup, createMVCGroup, createMVCGroup, createMVCGroup, createMVCGroup, destroyMVCGroup, execAsync, execFuture, execFuture, execFuture, execFuture, execInsideUIAsync, execInsideUISync, execOutside, execOutsideUI, execSync, getApp, getGriffonClass, getLog, getMetaClass, getResourceAsStream, getResourceAsURL, getResources, isUIThread, newInstance, setApp, setMetaClass, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup, withMVCGroup

Methods inherited from class Script
println, println, run, run, setProperty, getProperty, print, printf, printf, evaluate, evaluate, invokeMethod, getBinding, setBinding, getMetaClass, setMetaClass, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### builder

    private FactoryBuilderSupport builder

Constructor Detail

### AbstractGriffonViewScript

    public AbstractGriffonViewScript()

Method Detail

### getBuilder

    public FactoryBuilderSupport getBuilder()

### setBuilder

    public void setBuilder(FactoryBuilderSupport builder)

Groovy Documentation